@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}

:root{
  --white: #fff;
  --light: #eeeded;
  --red: #D93735;
}

body{
  font-family: 'Inter', sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0; 
}

.container{
  display: flex;
  border-radius: 30px;
}

.container .cart{
  padding-top: 10px;
  background-color: #FFF;
}

.container .center{
  background-color: #FFF;
}

/* center */
/* form */
.center .search{
  margin-top: 20px;
  background-color: var(--white);
  text-align: center;
  padding-left: 1.3%;
}

.center .search .form{
  width: max-content;
  border: 1px solid var(--light);
  border-radius: 20px;
  padding-left: 25px;
  color: var(--light);
}

.center .search .form input{
  border: none;
  padding: 0 10px;
  outline: none;
  width: 100px;
}

.center .search .form button{
 border: none;
 background-color: #D93735;
 color: var(--light);
 padding: 10px 30px;
 border-radius: 20px;
}

.center .search .form button:hover{
  cursor: pointer;
}

/* end form */

.center h2{
  padding: 20px;
  text-align: center;
}

.center .list{
  padding: 0 10px 10px;
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 10px;
  row-gap: 20px;
}

.item{
  background-color: var(--white);
  display: grid;
  grid-template-columns: 20% auto;
  padding:10px;
  column-gap: 20px;
  border-radius: 20px;
}

.item .img img{
  height: 50px;
}

.item .img{
  background-color: #FFF;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.item .content .title{
  font-weight: bold;
}

.item .content .des{
  font-size: small;
  opacity: 0.7;
  margin-top: 8px;
}

.item .content .price{
  color: #D93735;
  letter-spacing: 2px;
  font-weight: 500;
  font-size: small;
  margin-top: 8px;
}

.item .count{
  width: 50px;
  border-radius: 10px;
  margin-right: 10px;
  padding: 3px 5px;
  border: 1px solid var(--light);
  outline: none;
  margin-top: 5px;
}

#value {
  font-size: 18px;
  color: black;
  min-width: 14rem;
  text-align: center;
}

button {
  background-color: #FFF;
  margin-top: 3%;
  border: none;
  border-radius: 4px;
  color: black;
  font-weight: 500;
  cursor: pointer;
  transition: opacity .3s;
}

button:hover {
  opacity: .8;
}

.count-button {
  font-size: 23px;
}

.item .content .add{
  margin-left: 10px;
  background-color: #D93735;
  color: var(--white);
  padding: 5px 10px;
  border: none;
  border-radius: 10px;
}

.item .content .add:hover {
  cursor: pointer;
}

.item .content .remove{
  padding: 5px;
  border: none;
  margin-top: 5px;
  border-radius: 10px;
  display: none;
}

.item .content .remove:hover {
  cursor: pointer;
}

/* end center */

.cart .item{
  background-color: #FFF;
  margin-top: 10px;
  transition: 0.5s;
  border-bottom: 1px solid var(--light);
}

.cart .name{
  padding: 10px;
  font-weight: bold;
  font-size: xx-large;
}

.danger{
  box-shadow: 0 10px 10px var(--red);
  transform: translate(0,-10px);
}

.cart .add{
  display: none;
}

.cart .remove{
  display: inline-block!important;
}

/*     Shopping Cart     */

.btn-purchase{
  color: #FFF;
  text-align: center;
  margin: 0px 0px 0px 8%;
  padding: 3%;
  width: 82%; 
}

.btn-purchase button {
  cursor: pointer;
  border: 0px ;
  border-radius: 20px;
  background-color: #D93735;
}

.cart-total{
  text-align: center;
  font-size: 1.3rem;  
}